package com.lightinit.hsdataplatformresdir.model.admin;

import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class PersionalUserAuthListModel {
    private Long id;
    private String fullName;
    private String username;
    private String phone;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdAt;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date authAt;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getAuthAt() {
        return authAt;
    }

    public void setAuthAt(Date authAt) {
        this.authAt = authAt;
    }
}
